#include<iostream>
using namespace std;
int main(){
    int t,n,m,k;cin>>t;bool e[t];
    for(int i=0;i<t;i++){cin>>n>>m>>k;e[i]=2*m>=k*(n/k)*(n/k+1)+2*(n%k)*(n/k+1);}
    for(bool x:e)cout<<(x?"Tak\n":"Nie\n");
    return 0;}